#pragma once
#include <glm.hpp>
#include <map>
#include <tuple>
#include <string>

// Application State Structure
struct Sphere {
    glm::vec3 position;
    glm::vec3 color;
};

// Global variables for screen dimensions
extern unsigned int SCR_WIDTH;
extern unsigned int SCR_HEIGHT;

// Add `extern` for SIDEBAR_WIDTH
extern const unsigned int SIDEBAR_WIDTH;

// Camera settings
extern glm::vec3 cameraPos;
extern glm::vec3 cameraFront;
extern glm::vec3 cameraUp;

extern float yaw;
extern float pitch;
extern float lastX;
extern float lastY;
extern float fov;

extern bool firstMouse;
extern float deltaTime;
extern float lastFrame;

extern bool showUI;
extern bool showGridPoints;

extern int sphereSizeInt;
extern int lineThicknessInt;
extern float sphereScale;
extern float lineThickness;

// JSON input globals
extern char jsonInput[1024 * 16];
extern std::string jsonErrorMessage;
